Loading...
Searching...
No Matches
pappso::FilterRoundY Class Reference

apply std::round (round to nearest integer) to all Y values More...

`#include <filterpass.h>`

Inheritance diagram for pappso::FilterRoundY:

## Public Member Functions

| FilterRoundY ()
| FilterRoundY (const FilterRoundY &other)
virtual | ~FilterRoundY ()
FilterRoundY & | operator= (const FilterRoundY &other)
Trace & | filter (Trace &data_points) const override
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Detailed Description

apply std::round (round to nearest integer) to all Y values

Definition at line 180 of file filterpass.h.

## Constructor & Destructor Documentation

## FilterRoundY() [1/2]

FilterRoundY::FilterRoundY | ( |  | ) |

Definition at line 339 of file filterpass.cpp.

{
}

## FilterRoundY() [2/2]

FilterRoundY::FilterRoundY | ( | const FilterRoundY & | other | ) |

Definition at line 342 of file filterpass.cpp.

{
}

## ~FilterRoundY()

virtual pappso::FilterRoundY::~FilterRoundY | ( |  | ) |

inline virtual

Definition at line 186 of file filterpass.h.

{};

## Member Function Documentation

## filter()

Trace & FilterRoundY::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 353 of file filterpass.cpp.

{
for(auto &&dataPoint : data_points)
{
dataPoint.y = std::round(dataPoint.y);
}
return data_points;
}

## operator=()

FilterRoundY & FilterRoundY::operator= | ( | const FilterRoundY & | other | ) |

Definition at line 347 of file filterpass.cpp.

{
return *this;
}

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterpass.h
- pappsomspp/processing/filters/filterpass.cpp